-2

This question already has an answer here:

pranav@pranav-Inspiron-5548:~/Downloads$ sudo dpkg -i viber.deb
[sudo] password for pranav: 
Selecting previously unselected package viber.
(Reading database ... 187455 files and directories currently installed.)
Preparing to unpack viber.deb ...
Unpacking viber (7.0.0.1035) ...
dpkg: dependency problems prevent configuration of viber:
 viber depends on libcurl3; however:
  Package libcurl3 is not installed.

dpkg: error processing package viber (--install):
 dependency problems - leaving unconfigured
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for desktop-file-utils (0.23-3ubuntu3) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu2) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Errors were encountered while processing:
 viber

marked as duplicate by karel, Kulfy, Charles Green, George Udosen, Zanna Jan 6 at 11:57

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • 1
    Try installing libcurl3 explicitly. Run sudo apt install libcurl3 and then try to install viber again – Kulfy Jan 5 at 6:49
  • 1
    I tried to install libcurl3. I got this: sudo apt install libcurl3 Reading package lists... Done Building dependency tree Reading state information... Done Package libcurl3 is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source However the following packages replace it: libcurl4:i386 libcurl4 E: Package 'libcurl3' has no installation candidate – Prabesh bhattarai Jan 6 at 7:29
1

I recently made a script for that. Works in Debian and other Debian-based distros (Ubuntu 18.04 tested - working). The script installs libssl1.0.0 (dependency), fakeroot & gdebi for the installation and finally Viber itself.

The problem here is indeed the libcurl package (Viber requires libcurl3 but the OS already uses libcurl4, so there's your conflict).

We'll need to create 2 files (.sh) and make them executable.

touch viber.sh repackager.sh
sudo chmod +x viber.sh repackager.sh

Double click viber.sh and inside it paste this:

sudo apt-get install gdebi fakeroot
wget -O libssl1.0.0 security-cdn.debian.org/debian-security/pool/updates/main/o/openssl/libssl1.0.0_1.0.1t-1+deb8u10_amd64.deb
sudo gdebi libssl1.0.0.deb
wget -O viber.deb http://download.cdn.viber.com/cdn/desktop/Linux/viber.deb
./repackager.sh
sudo gdebi viber4debian.deb

Now, double click repackager.sh (it's important to name it "repackager.sh", otherwise it won't work) and paste this:

#!/bin/sh
fakeroot sh -c "
  mkdir tmp
  dpkg-deb -R viber.deb tmp
  echo 'Package: viber
Priority: extra
Section: non-free/net
Installed-Size: 421336
Maintainer: Viber Media Inc <support@viber.com>
Architecture: amd64
Version: 7.0.0.1035
Replaces: viber (<< 7.0.0.1035)
Depends: libqt5gui5, libxss1, libssl1.0.0, libpulse0, libasound2, libnss3, libxcomposite1, libxcursor1, libxdamage1, libcurl3, libgstreamer-plugins-base1.0-0, libgstreamer1.0-0, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-plugins-ugly, gstreamer1.0-pulseaudio, gstreamer1.0-libav
Conflicts: viber (<< 7.0.0.1035)
Description: Free Text & Calls.
 Join Viber for Desktop to for a one-of-a-kind calling and messaging experience right on your computer!
 With Viber for Desktop you can make free international calls from your computer to any other Viber user, resting assured your calls and messages are protected by end-to-end encryption.
 Feel free to call, text, send photos and video messages, play YouTube videos and express yourself with stickers and GIFs no matter your location.
 Viber for Desktop also provides you with Viber Out’s low-rate calling plans to any landline or mobile so you can reach out to friends and family who don’t have an internet connection or cell phone.
 Easily sync between your mobile’s chat history and contact list in order to start enjoying Viber for Desktop. .
Homepage: http://viber.com

' > tmp/DEBIAN/control
  dpkg-deb -b tmp viber4debian.deb
"

Let's run the script now (requires root privilages):

sudo ./viber.sh

Enjoy Viber!

  • Everything(ur method of installation) was going fine, until i got this: – Prabesh bhattarai Jan 6 at 7:26
  • dpkg-deb: building package 'viber' in 'viber4debian.deb'. Reading package lists... Done Building dependency tree Reading state information... Done Reading state information... Done This package is uninstallable Dependency is not satisfiable: libcurl3 – Prabesh bhattarai Jan 6 at 7:26
  • Hey. Seems libcurl3 is missing. If for some reason apt-get can't find the package, you may use one of the options here. Either update your sources.list and try again or download the package manually through a net mirror on the link and install via aptitude/synaptic. Once libcurl3 is installed, everything should work normally. – Nick Tritsis Jan 6 at 14:35

Not the answer you're looking for? Browse other questions tagged or ask your own question.